% Diverse Listen-Operationen


% Testet, ob X in der Liste enthalten ist
mitglied(X,[X| _]).
mitglied(X,[_|Rumpf]:-mitglied(X, Rumpf).

% Fgt die zweite Liste an die erste
append([], Liste , Liste). 
append([Kopf|Rumpf], Liste,[Kopf|Gesamtliste]) 
        :- append (Rumpf,Liste,Gesamtliste). 

% Fgt X der Liste hinzu
hinzufuegen(X, Liste, [X |Liste]). 
 
% X wird beim ersten Auftreten gelscht
loesche(_ ,[],[]). 
loesche(X,[X|Rumpf1],Rumpf] :-! 
loesche(X,[Y|Rumpf],[Y|Rumpfl]):- 
                loesche(X,Rumpf,Rumpfl). 

% Alle Teillisten von S werden gebildet
sublist(S,L):-append(Listel,Liste2,L), 
                append(S, Liste3, Liste2) . 

% Liste wird invertiert
invert([], []). 
invert([Erst|Rest],Liste):-invert(Rest,Zwischen_Liste), 
              append(Zwischen_Liste,[Erst],Liste).
